List supported chains
curl --request GET \
--url https://godirekt.xyz/api/chains \
--header 'x-api-key: <api-key>'import requests
url = "https://godirekt.xyz/api/chains"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://godirekt.xyz/api/chains', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"chains": [
{
"id": 1,
"name": "Ethereum",
"shortName": "eth",
"nativeToken": "ETH"
},
{
"id": 10,
"name": "Optimism",
"shortName": "op",
"nativeToken": "ETH"
},
{
"id": 56,
"name": "BNB Chain",
"shortName": "bnb",
"nativeToken": "BNB"
},
{
"id": 137,
"name": "Polygon",
"shortName": "matic",
"nativeToken": "MATIC"
},
{
"id": 8453,
"name": "Base",
"shortName": "base",
"nativeToken": "ETH"
},
{
"id": 42161,
"name": "Arbitrum One",
"shortName": "arb",
"nativeToken": "ETH"
},
{
"id": 42220,
"name": "Celo",
"shortName": "celo",
"nativeToken": "CELO"
},
{
"id": 43114,
"name": "Avalanche",
"shortName": "avax",
"nativeToken": "AVAX"
},
{
"id": 792703809,
"name": "Solana",
"shortName": "sol",
"nativeToken": "SOL"
}
]
}List Chains
Returns all chains Direkt supports.
GET
/
api
/
chains
List supported chains
Example request
curl --location 'https://godirekt.xyz/api/chains' \
--header 'x-api-key: YOUR_API_KEY'
Example response
{
"success": true,
"chains": [
{ "id": 1, "name": "Ethereum", "shortName": "eth", "nativeToken": "ETH" },
{ "id": 10, "name": "Optimism", "shortName": "op", "nativeToken": "ETH" },
{ "id": 56, "name": "BNB Chain", "shortName": "bnb", "nativeToken": "BNB" },
{ "id": 137, "name": "Polygon", "shortName": "matic","nativeToken": "MATIC"},
{ "id": 8453, "name": "Base", "shortName": "base", "nativeToken": "ETH" },
{ "id": 42161, "name": "Arbitrum One", "shortName": "arb", "nativeToken": "ETH" },
{ "id": 792703809, "name": "Solana", "shortName": "sol", "nativeToken": "SOL" }
]
}
id field as fromChainId / toChainId when creating a quote.⌘I